package net.voltexstudios;

import net.fabricmc.api.ModInitializer;

import net.fabricmc.fabric.api.object.builder.v1.entity.FabricDefaultAttributeRegistry;
import net.fabricmc.fabric.api.registry.FlammableBlockRegistry;
import net.minecraft.block.FireBlock;
import net.voltexstudios.blocks.ModBlocks;
import net.voltexstudios.entity.ModEntities;
import net.voltexstudios.entity.custom.VultureEntity;
import net.voltexstudios.item.ModItemGroups;
import net.voltexstudios.item.ModItems;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class VoltexDesertUpdate implements ModInitializer {

	public static final String MOD_ID = "voltexdesertupdate";

	public static final Logger LOGGER = LoggerFactory.getLogger(MOD_ID);

	@Override
	public void onInitialize() {
		ModItemGroups.registerItemGroups();

		ModItems.registerModItems();
		ModBlocks.registerModBlocks();

		ModEntities.registerModEntities();

		FabricDefaultAttributeRegistry.register(ModEntities.VULTURE_ENTITY, VultureEntity.createVultureAttributes());

		FlammableBlockRegistry.getDefaultInstance().add(ModBlocks.PALM_LOG, 5, 5);
		FlammableBlockRegistry.getDefaultInstance().add(ModBlocks.PALM_WOOD, 5, 5);
		FlammableBlockRegistry.getDefaultInstance().add(ModBlocks.PALM_PLANKS, 5, 20);
		FlammableBlockRegistry.getDefaultInstance().add(ModBlocks.PALM_LEAVES, 30, 60);
	}
}