package net.voltexstudios.entity.client;

import net.minecraft.client.render.VertexConsumerProvider;
import net.minecraft.client.render.entity.EntityRendererFactory;
import net.minecraft.client.render.entity.MobEntityRenderer;
import net.minecraft.client.util.math.MatrixStack;
import net.minecraft.util.Identifier;
import net.voltexstudios.VoltexDesertUpdate;
import net.voltexstudios.entity.custom.VultureEntity;

public class VultureRenderer extends MobEntityRenderer<VultureEntity, VultureModel<VultureEntity>> {

    public VultureRenderer(EntityRendererFactory.Context context) {
        super(context, new VultureModel<>(context.getPart(VultureModel.VULTURE)), 0.5f);
    }

    @Override
    public Identifier getTexture(VultureEntity entity) {
        return Identifier.of(VoltexDesertUpdate.MOD_ID, "textures/entity/vulture/vulture.png");
    }

    @Override
    public void render(VultureEntity livingEntity, float f, float g, MatrixStack matrixStack, VertexConsumerProvider vertexConsumerProvider, int i) {
        if(livingEntity.isBaby()) {
            matrixStack.scale(0.5f, 0.5f, 0.5f);
        } else {
            matrixStack.scale(1f, 1f, 1f);
        }

        super.render(livingEntity, f, g, matrixStack, vertexConsumerProvider, i);
    }
}
