package net.voltexstudios.item;

import net.fabricmc.fabric.api.itemgroup.v1.FabricItemGroup;
import net.minecraft.item.ItemGroup;
import net.minecraft.item.ItemStack;
import net.minecraft.registry.Registries;
import net.minecraft.registry.Registry;
import net.minecraft.text.Text;
import net.minecraft.util.Identifier;
import net.voltexstudios.VoltexDesertUpdate;
import net.voltexstudios.blocks.ModBlocks;

public class ModItemGroups {

    public static final ItemGroup DESERT_UPDATE_GROUP = Registry.register(Registries.ITEM_GROUP,
            Identifier.of(VoltexDesertUpdate.MOD_ID, "desert_update"),
            FabricItemGroup.builder().icon(() -> new ItemStack(ModItems.DUNE_STAFF))
                    .displayName(Text.translatable("itemgroup.voltexdesertupdate.desert_update"))
                    .entries((displayContext, entries) -> {
                        entries.add(ModItems.DUNE_STAFF);

                        entries.add(ModBlocks.QUICKSAND_BLOCK);
                        entries.add(ModBlocks.PALM_WOOD);
                        entries.add(ModBlocks.PALM_PLANKS);
                        entries.add(ModBlocks.PALM_LEAVES);
                        entries.add(ModBlocks.PALM_SAPLING);
                        entries.add(ModBlocks.PALM_LOG);
                    }).build());

    public static void registerItemGroups() {
        VoltexDesertUpdate.LOGGER.info("Registering Item Groups for " + VoltexDesertUpdate.MOD_ID);
    }
}
