package net.voltexstudios.item.custom;

import net.minecraft.entity.player.PlayerEntity;
import net.minecraft.item.Item;
import net.minecraft.item.ItemStack;
import net.minecraft.stat.Stats;
import net.minecraft.util.Hand;
import net.minecraft.util.TypedActionResult;
import net.minecraft.world.World;
import net.voltexstudios.VoltexDesertUpdate;
import net.voltexstudios.entity.custom.DuneProjectileEntity;

public class DuneStaffItem extends Item {

    private static final int useDuration = 7 * 20; // 7 seconds

    public DuneStaffItem(Settings settings) {
        super(settings);
    }

    @Override
    public TypedActionResult<ItemStack> use(World world, PlayerEntity user, Hand hand) {

        ItemStack itemStack = user.getStackInHand(hand);

        if (!world.isClient) {

            VoltexDesertUpdate.LOGGER.info("DuneStaffItem used");

            DuneProjectileEntity duneProjectileEntity = new DuneProjectileEntity(user, world);
            duneProjectileEntity.setVelocity(user, user.getPitch(), user.getYaw(), 0.0f, 1.5f, 0f);
            world.spawnEntity(duneProjectileEntity);

            /*
            TridentEntity tridentEntity = new TridentEntity(world, user, Items.TRIDENT.getDefaultStack());
            tridentEntity.setVelocity(user, user.getPitch(), user.getYaw(), 0.0f, 1.5f, 0f);
            world.spawnEntity(tridentEntity);

             */
        }

        user.getItemCooldownManager().set(this, useDuration);
        user.incrementStat(Stats.USED.getOrCreateStat(this));

        return TypedActionResult.success(itemStack);
    }
}
